Opened 10 years ago

Closed 10 years ago

#4496 closed bug (duplicate)

[vim] remove from trunk, move to an OptionalPackage

Reported by: scottmc Owned by: axeld
Priority: normal Milestone: R1/alpha2
Component: - General Version: R1/alpha1
Keywords: Cc: kallisti5
Blocked By: Blocking:
Has a Patch: no Platform: All

Description

We missed doing this for Alpha1, so making a ticket for it and assigning to Alpha2

Change History (5)

comment:1 Changed 10 years ago by kallisti5

if this is going to be broken into a separate optional package, please make sure it's using the awesome pkg format and includes the latest 7.2 vim with syntax files included

Maybe I will get inspired over the next few days and make this myself as I see to be the biggest push behind vim so far :)

comment:2 Changed 10 years ago by anevilyak

There already is an optional package for 7.2, all that really needs to be done is removing the one in the main tree. See http://www.haiku-files.org/files/optional-packages/ .. and yes, those include the syntax files.

comment:3 Changed 10 years ago by kallisti5

Cc: kallisti5 added

Indeed.

I still think vim should be included as it is a requirement for a large number of geeks.. I have a feeling this will become more evident as Haiku reaches a wider public audience.

You separate a UNIX geek from vim and they reach for their gun. :)

comment:4 in reply to:  description Changed 10 years ago by siarzhuk

Replying to scottmc:

We missed doing this for Alpha1, so making a ticket for it and assigning to Alpha2

#2887 is already waiting to be closed by removing vim from the tree. Please close this as duplicate.

comment:5 Changed 10 years ago by scottmc

Resolution: duplicate
Status: newclosed
Note: See TracTickets for help on using tickets.